# template: default
%global gem_name acts_as_list

Name: rubygem-%{gem_name}
Version: 1.2.4
Release: 1%{?dist}
Summary: A gem adding sorting, reordering capabilities to an active_record model, allowing it to act as a list
License: MIT
URL: https://github.com/brendon/acts_as_list
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.5
BuildRequires: ruby >= 2.5
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
This "acts_as" extension provides the capabilities for sorting and reordering
a number of objects in a list. The class that has this specified needs to have
a "position" column defined as an integer on the mapped database table.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/init.rb
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Mar 18 2025 Evgeni Golov - 1.2.4-1
- Update to 1.2.4

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.0.3-2
- Rebuild for Ruby 2.7

* Mon Feb 15 2021 Ondrej Prazak <oprazak@redhat.com> 1.0.3-1
- Add rubygem-acts_as_list generated by gem2rpm using the foreman_plugin template
